
```{include} ../../README.md
:relative-images:
```
----

# Documentation Content
```{toctree}
:maxdepth: 1
:caption: Get started

tutorial_for_nervous_beginners
installation
docker_images
faq
contributing
```

```{toctree}
:maxdepth: 1
:caption: Using Coqui

inference
training_a_model
finetuning
implementing_a_new_model
implementing_a_new_language_frontend
formatting_your_dataset
what_makes_a_good_dataset
tts_datasets
marytts
```


```{toctree}
:maxdepth: 1
:caption: Main Classes

configuration
main_classes/trainer_api
main_classes/audio_processor
main_classes/model_api
main_classes/dataset
main_classes/gan
main_classes/speaker_manager
```


```{toctree}
:maxdepth: 1
:caption: TTS Models

models/glow_tts.md
models/vits.md
models/forward_tts.md
models/tacotron1-2.md
models/overflow.md
models/tortoise.md
models/bark.md
models/xtts.md
```
